GIT-SYNC(1)

NAME
git-sync - Sync local branch with remote branch

SYNOPSIS
git sync [--soft] [ <remote> <branch> ]

DESCRIPTION
Sync local branch with <remote>/<branch>.

When <remote> and <branch> are not specified on the command line, upstream of local branch will be used by default.

All changes and untracked files and directories will be removed unless you add -s(--soft).

OPTIONS
--soft or -s

Add this flag if you want to preserve untracked files.

EXAMPLES
Sync local branch with its upstream

    $ git sync

Sync local branch with origin/master

    $ git sync origin master

Sync without cleaning untracked files:

    $ git sync -s origin master

AUTHOR
Written by Takuma Yamaguchi <kumon0587@gmail.com>

REPORTING BUGS
<https://github.com/tj/git-extras/issues>

SEE ALSO
<https://github.com/tj/git-extras>